
<template>
<html>
 <div>
    <h4> CITAS MÉDICAS </h4>
    <div v-show="vuexTest">
      <input type="text" v-model = "usuario">
      <button @click="addUsuario">Agregar usuario</button>
      <ul>
        <li v-for="(usuario, index) in usuarios"
        v-bind:key="index">
        {{ usuario }}
        </li>
      </ul>
    </div>
  </div>
</html>  
</template>

<script lang="ts">
import store from '@/store';
import { defineComponent } from '@vue/runtime-core';

export default defineComponent({
    name:'PruebaUsuarios',
    
    data() {
      return {
        usuario : '',
        vuexTest : false,
        usuarios : store.getters.usuarios
      }
  },

  methods: {
    addUsuario: function(usuario: string) {
        usuario = this.usuario;
        store.dispatch('addLogin', usuario);
        this.usuario = '';
      }
  },
});
</script>
